# $Revision: 1.29 $, $Date: 2009/02/04 12:35:23 $
Summary:	Implementation of Microsoft's Media Transfer Protocol (MTP)
Summary(pl.UTF-8):	Implementacja protokołu MTP (Media Transfer Protocol) Microsoftu
Name:		libmtp
Version:	0.3.1
Release:	3
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/libmtp/%{name}-%{version}.tar.gz
# Source0-md5:	26456419db20eea44471d3687a8611a2
Source1:	%{name}-udev.rules
URL:		http://libmtp.sourceforge.net/
BuildRequires:	automake
BuildRequires:	libusb-compat-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol
(MTP) in the form of a library suitable primarily for POSIX compliant
operating systems.

%description -l pl.UTF-8
libmtp to implementacja protokołu przesyłania mediów MTP (Media
Transfer Protocol) Microsoftu w postaci biblioteki nadającej się
przede wszystkim dla systemów operacyjnych zgodnych z POSIX.

%package devel
Summary:	Header files for mtp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libusb-compat-devel

%description devel
This is the package containing the header files for mtp library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki mtp.

%package static
Summary:	Static mtp library
Summary(pl.UTF-8):	Statyczna biblioteka mtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mtp library.

%description static -l pl.UTF-8
Statyczna biblioteka mtp.

%package progs
Summary:	Utilities from mtp library
Summary(pl.UTF-8):	Narzędzia biblioteki mtp
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description progs
This is the package containing utilities from mtp library.

%description progs -l pl.UTF-8
Ten pakiet zawiera narzędzia z biblioteki mtp.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/udev/rules.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/udev/rules.d/80-libmtp.rules

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libmtp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmtp.so.8
%{_sysconfdir}/udev/rules.d/*.rules

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/libmtp.so
%{_libdir}/libmtp.la
%{_includedir}/libmtp.h
%{_pkgconfigdir}/libmtp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmtp.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmtp.spec,v $
Revision 1.29  2009/02/04 12:35:23  hawk
- BR, R libusb-compat to make it work with libusb 1.0.0

Revision 1.28  2009/01/27 21:49:33  hawk
- release 2

Revision 1.27  2008/08/30 11:28:27  wiget
- updated to 0.3.1

Revision 1.26  2008/07/23 12:18:18  paszczus
- updated to 0.3.0; soname changed to libmtp.8.0.0

Revision 1.25  2008-06-02 21:23:43  qboosh
- ghost soname symlink

Revision 1.24  2008-06-01 14:06:22  aredridel
- 0.2.6.1

Revision 1.23  2007-06-08 15:15:53  paszczus
- updated to 0.1.5

Revision 1.22  2007/03/14 13:57:03  paszczus
- updated to 0.1.4

Revision 1.21  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.19  2007/02/03 17:56:59  adasi
- added udev rules for MTP devices
- split utilities into separate package (-progs)

Revision 1.18  2007/01/22 09:20:05  paszczus
- updated to 0.1.3

Revision 1.17  2006/11/04 13:43:26  paszczus
- updated to 0.0.21

Revision 1.16  2006/09/27 17:05:45  paszczus
- updated to 0.0.20
- BR: libusb-devel >= 0.1.11-3 (includes libusb.pc file)

Revision 1.15  2006/09/17 20:43:09  paszczus
- updated to 0.0.19 (Supports Creative Zen V)

Revision 1.14  2006/09/14 18:14:44  paszczus
- updated to 0.0.18

Revision 1.13  2006/09/05 18:52:53  paszczus
- updated to 0.0.16

Revision 1.12  2006/08/29 12:51:08  paszczus
- updated to 0.0.15

Revision 1.11  2006/08/27 11:50:35  qboosh
- updated to 0.0.14, fixed deps, added devel docs

Revision 1.10  2006/08/20 09:26:43  paszczus
- updated to 0.0.11

Revision 1.9  2006/07/29 11:08:05  paszczus
- updated to 0.0.10

Revision 1.8  2006/06/18 16:21:46  paszczus
- updated to 0.0.8

Revision 1.7  2006/05/10 18:34:17  paszczus
- updated to 0.0.5

Revision 1.6  2006/05/10 16:58:42  qboosh
- pl, BR: automake

Revision 1.5  2006/05/10 16:10:59  paszczus
- release 2

Revision 1.4  2006/05/10 16:08:34  paszczus
- copy config.sub (should work on amd64)

Revision 1.3  2006/05/06 16:05:21  paszczus
- proper group

Revision 1.2  2006/05/06 15:57:27  paszczus
- added -static subpackage, cleanups

Revision 1.1  2006/05/06 08:15:06  paszczus
- initial spec
